{
  "name": "nise-frontend",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "bundle": "webpack-bundle-analyzer dist/nise-frontend/stats.json"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^18.0.2",
    "@angular/common": "^18.0.2",
    "@angular/compiler": "^18.0.2",
    "@angular/core": "^18.0.2",
    "@angular/forms": "^18.0.2",
    "@angular/platform-browser": "^18.0.2",
    "@angular/platform-browser-dynamic": "^18.0.2",
    "@angular/router": "^18.0.2",
    "@popperjs/core": "^2.11.8",
    "@stomp/rx-stomp": "^2.0.0",
    "chart.js": "^4.4.1",
    "date-fns": "^3.3.1",
    "lz-string": "^1.5.0",
    "ng2-charts": "^5.0.4",
    "rxjs": "~7.8.0",
    "tslib": "^2.3.0",
    "uuid": "^9.0.1",
    "xlsx": "https://cdn.sheetjs.com/xlsx-0.20.1/xlsx-0.20.1.tgz",
    "zone.js": "^0.14.3"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^18.0.3",
    "@angular/cli": "~18.0.3",
    "@angular/compiler-cli": "^18.0.2",
    "@angular/localize": "^18.0.2",
    "@types/jasmine": "~4.3.0",
    "@types/uuid": "^9.0.8",
    "jasmine-core": "~4.6.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.0.0",
    "typescript": "~5.4.5",
    "webpack-bundle-analyzer": "^4.10.1"
  }
}